#
# spec file
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define flavor lua54
%define mod_name zlib
Version:        1.2+git29
Release:        2.6
Summary:        Simple streaming interface to zlib for Lua
License:        MIT OR X11
Group:          Productivity/Archiving/Compression
URL:            https://github.com/brimworks/lua-zlib
Source:         lua-%{mod_name}-%{version}.tar.xz
BuildRequires:  lua-macros
BuildRequires:  %{flavor}-devel
BuildRequires:  zlib-devel
Requires:       %{flavor}
%lua_provides
%if "%{flavor}" == ""
Name:           lua-%{mod_name}
ExclusiveArch:  do_not_build
%else
Name:           %{flavor}-%{mod_name}
%endif

%description
lua-zlib is a simple streaming interface to zlib for Lua.

%prep
%setup -q -n lua-zlib-%{version}

%build
make %{?_make_output_sync} %{?_smp_mflags} linux \
  INCDIR="-I%{lua_incdir}" \
  LUAPATH="%{lua_noardir}" \
  LUACPATH="%{lua_archdir}" \
  CFLAGS="%{optflags} -fPIC"

%install
mkdir -p %{buildroot}/%{lua_archdir}
%make_install LUACPATH="%{buildroot}%{lua_archdir}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README
%{lua_archdir}/zlib.so

%changelog
* Wed Jan 25 2023 Michal Suchanek <msuchanek@suse.de>
- Fix missing dependency on lua-macros (boo#1205612)
* Wed Jan 25 2023 Michal Suchanek <msuchanek@suse.de>
- Opencode %%make_build to prevent build failure when not defined.
* Sat Aug 20 2022 pirateclip@protonmail.com
- Update to version 1.2+git29:
  * avoid converting string to char *.
  * ci: Update deps in test workflow
  * ci: Drop superlinter
  * ci: Use upstream luacheck action for Lua lint
  * Update lua_zlib.c
  * Correct spelling mistakes
  * Update rockspecs/lua-zlib-1.2-2.rockspec
  * fix unauthenticated git protocol on port 9418
  * Add CI job to build and test across Lua versions matrix
  * Fix low hanging Lua coding issues, ignore remaining lint warnings
  * Add superlinter to check up on C code
  * Add luacheck config & CI job to run in
- add _service file
- use +git versions as last version bump was in 2017 and there are
  bug fixes as recent as 2 months ago
* Thu Feb 18 2021 Callum Farmer <gmbr3@opensuse.org>
- Use %%lua_provides macro for default lua versioning
* Mon Jul  6 2020 Matej Cepl <mcepl@suse.com>
- Add lua54 as new build target
* Mon Oct 30 2017 jmatejek@suse.com
- do not build for Lua 5.2
* Fri Jul 14 2017 tchvatal@suse.com
- Switch to multibuild account to produce all lua variants needed
- Update to release 1.1 from january this year
  * enables lua 5.3
* Mon Oct 20 2014 i@marguerite.su
- update version 0.3+git20141017
* Tue Feb  4 2014 i@marguerite.su
- update version 20140204
  * some fixes
* Sat Jun 29 2013 i@marguerite.su
- initial version 20130629
